[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TResourceFile.Put

Set a resource by key name.

## Declaration

Source position: objects.pp line 510

`procedure TResourceFile.Put(`
`Item: PObject;`
`Key: string`
`);`

## Description

Put sets the resource identified by Key to Item. If no such resource exists, a new one is created. The item is written to the stream.

## Errors

Errors returned may be those by TStream.Put and TStream.Seek

## See also

Get |  | Return a resource by key name.

Documentation generated on: Feb 26 2014